## pdf2docx 0.5.8

=== Makefile ===
# Project makefile

# working directories and files
#
TOPDIR		:=$(shell pwd)
SRC			:=$(TOPDIR)/pdf2docx
BUILD		:=$(TOPDIR)/build
DOCSRC		:=$(TOPDIR)/doc
TEST		:=$(TOPDIR)/test
CLEANDIRS	:=.pytest_cache pdf2docx.egg-info dist

# pip install sphinx_rtd_theme

.PHONY: src doc test clean

src:
	@python setup.py sdist --formats=gztar,zip && \
	python setup.py bdist_wheel

doc:
	@if [ -f "$(DOCSRC)/Makefile" ] ; then \
	    ( cd "$(DOCSRC)" && make html MODULEDIR="$(SRC)" BUILDDIR="$(BUILD)" ) || exit 1 ; \
	fi

test:
	@if [ -f "$(TEST)/Makefile" ] ; then \
	    ( cd "$(TEST)" && make test SOURCEDIR="$(SRC)" ) || exit 1 ; \
	fi

clean:
	@if [ -e "$(DOCSRC)/Makefile" ] ; then \
	    ( cd "$(DOCSRC)" && make $@ BUILDDIR="$(BUILD)" ) || exit 0 ; \
	fi
	@for p in $(CLEANDIRS) ; do \
	    if [ -d "$(TOPDIR)/$$p" ];  then rm -rf "$(TOPDIR)/$$p" ; fi ; \
	done
	@if [ -d "$(BUILD)" ];  then rm -rf "$(BUILD)" ; fi
	@if [ -e "$(TEST)/Makefile" ] ; then \
	    ( cd "$(TEST)" && make $@ ) || exit 0 ; \
	fi

=== requirements.txt ===
PyMuPDF>=1.19.0
python-docx>=0.8.10
fonttools>=4.24.0
numpy>=1.17.2
opencv-python-headless>=4.5
fire>=0.3.0

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# MODULEDIR and BUILDDIR are set in top makefile
SOURCEDIR  = .
TARGETDIR  = doctrees html

.PHONY: html clean

html: Makefile
	@sphinx-apidoc --separate -o "$(SOURCEDIR)" "$(MODULEDIR)" && \
	sphinx-build -M html "$(SOURCEDIR)" "$(BUILDDIR)"

clean:
	@for p in $(TARGETDIR) ; do \
	    if [ -d "$(BUILDDIR)/$$p" ];  then rm -rf "$(BUILDDIR)/$$p" ; fi ; \
	done
	@if [ -e modules.rst ];  then rm pdf2docx*.rst ; fi

=== doc/requirements.txt ===
pdf2docx
rst2pdf

# define sphinx versioning
sphinx==5.3.0
autodoc
sphinx_rtd_theme
sphinxcontrib.apidoc

=== test/Makefile ===
# makefile for testing module
# SOURCEDIR is set in top makefile
CURDIR		:=$(shell pwd)
OUTPUTDIR	:=$(CURDIR)/outputs

.PHONY: test pdf2docx docx2pdf check clean

# test: clean pdf2docx docx2pdf check
test: clean pdf2docx


pdf2docx: 
	@if [ -n "$(TESTCASE)" ] ; then \
		pytest -v test.py::TestConversion::$(TESTCASE) --cov="$(SOURCEDIR)" --cov-report=xml ; \
	else \
		pytest -v test.py::TestConversion --cov="$(SOURCEDIR)" --cov-report=xml ; \
	fi


docx2pdf:
	@if [ -n "$(wildcard outputs/*.docx)" ] ; then \
		cd $(OUTPUTDIR) ; \
		for f in *.docx ; \
		do \
			echo "Converting $$f to pdf..." ; \
			OfficeToPDF $$f ; \
		done ; \
	fi


check:
	@pytest -sv test.py::TestQuality


clean:
	@if [ -d "$(OUTPUTDIR)" ];  then rm -rf "$(OUTPUTDIR)" ; fi
	@if [ -e ".coverage" ];  then rm -f ".coverage" ; fi
	@if [ -e "coverage.xml" ];  then rm -f "coverage.xml" ; fi

=== debian/changelog ===
pdf2docx (0.5.8-1) unstable; urgency=low

  * Initial upload. (Closes: #1111630)

 -- Elena Grandi <valhalla@debian.org>  Wed, 27 Aug 2025 10:50:37 +0200

=== debian/control ===
Source: pdf2docx
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Elena Grandi <valhalla@debian.org>
Section: python
Priority: optional
Build-Depends:
 dh-python,
 python3-setuptools,
 python3-all,
 debhelper-compat (= 13),
 python3-docx,
 python3-fire,
 python3-fitz,
 python3-fonttools,
 python3-numpy,
 python3-opencv,
 python3-pip,
 python3-pymupdf,
Standards-Version: 4.7.2
Homepage: https://pdf2docx.readthedocs.io/en/latest/
Vcs-Git: https://salsa.debian.org/python-team/packages/pdf2docx.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pdf2docx

Package: python3-pdf2docx
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-docx,
 python3-fire,
 python3-fitz,
 python3-fonttools,
 python3-numpy,
 python3-opencv,
 python3-pymupdf,
Description: Open source Python library converting pdf to docx
 this is a Python library to extract data from PDF with PyMuPDF, parse layout
 with rule, and generate docx files with python-docx.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pdf2docx
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/pdf2docx/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pdf2docx/pdf2docx-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pdf2docx 0.5.9

=== debian/changelog ===
pdf2docx (0.5.9-1) unstable; urgency=medium

  * New upstream release.
  * Updated watchfile to version 5.
  * Removed default value for Priority.
  * Updated Standards-Version to 4.7.3.
  * Added autopkgtests.
  * Enabled tests at build time.
  * Build and include sphinx-based html docs.
  * Added UMEGAYA.
  * Override lintian picking up the package as an application instead of
    library.

 -- Elena Grandi <valhalla@debian.org>  Thu, 26 Feb 2026 13:41:43 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pdf2docx
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd docs && PYTHONPATH=.. make html

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex; for py in `py3versions --supported 2>/dev/null`; do \
		cd test ; \
		pwd ; \
		PYTHONPATH=.. $${py} -m pytest -v test.py::TestConversion ; \
		make clean ; \
		make docx2pdf ; \
		cd - ; \
	done
endif

## pdf2docx 0.5.10

=== requirements.txt ===
PyMuPDF>=1.26.7
python-docx>=0.8.10
fonttools>=4.24.0
numpy>=1.17.2
opencv-python-headless>=4.5
fire>=0.3.0

=== docs/requirements.txt ===
pdf2docx
rst2pdf

# define sphinx versioning
sphinx==5.3.0
autodoc
furo
sphinx_copybutton
sphinxcontrib.apidoc
sphinx_markdown_builder

=== debian/changelog ===
pdf2docx (0.5.10-1) unstable; urgency=medium

  * New upstream release.

 -- Elena Grandi <valhalla@debian.org>  Fri, 27 Feb 2026 10:01:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders:
  Elena Grandi <valhalla@debian.org>
 Section: python
-Priority: optional
 Build-Depends:
  dh-python,
  python3-setuptools,
  python3-all,
  debhelper-compat (= 13),
+ furo,
  python3-docx,
  python3-fire,
  python3-fitz,
@@ -17,7 +17,13 @@
  python3-opencv,
  python3-pip,
  python3-pymupdf,
-Standards-Version: 4.7.2
+ python3-pytest,
+ python3-pytest-cov,
+ python3-sphinx,
+ python3-sphinxcontrib.apidoc,
+ python3-sphinx-copybutton,
+ python3-tk,
+Standards-Version: 4.7.3
 Homepage: https://pdf2docx.readthedocs.io/en/latest/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pdf2docx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pdf2docx
@@ -27,6 +33,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ ${sphinxdoc:Depends},
  python3-docx,
  python3-fire,
  python3-fitz,

=== debian/tests/control ===
Tests: autodep8
Depends:
 @, 
 python3-all,
Restrictions: allow-stderr
    
Tests: unittests
Depends:
 @,
 python3-all,
 python3-docx,
 python3-fire,
 python3-fitz,
 python3-fonttools,
 python3-numpy,
 python3-opencv,
 python3-pip,
 python3-pymupdf,
 python3-pytest,
 python3-pytest-cov,
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

# please also check http://pypi.debian.net/pdf2docx/watch
Source: https://pypi.debian.net/pdf2docx/
Matching-Pattern: pdf2docx-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Uversionmangle: s/(rc|a|b|c)/~$1/
